Xalan-Java: Interface MutableNodeList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Interface MutableNodeList

All Known Implementing Classes:
  MutableNodeListImpl

public interface MutableNodeList
extends org.w3c.dom.NodeList

**For advanced use only** Interface for a modifiable NodeList.

Method Summary
`void` | `addNode(org.w3c.dom.Node n)` **For advanced use only** Add a node.
`int` | `addNodeInDocOrder(org.w3c.dom.Node node, boolean test, XPathSupport support)` **For advanced use only** Add the node into a vector of nodes where it should occur in document order.
`int` | `addNodeInDocOrder(org.w3c.dom.Node node, XPathSupport support)` **For advanced use only** Add the node into a vector of nodes where it should occur in document order.
`void` | `addNodes(org.w3c.dom.NodeList nodelist)` **For advanced use only** Copy NodeList members into this nodelist, adding in document order.
`void` | `addNodesInDocOrder(org.w3c.dom.NodeList nodelist, XPathSupport support)` **For advanced use only** Copy NodeList members into this nodelist, adding in document order.
`void` | `insertNode(org.w3c.dom.Node n, int pos)` **For advanced use only** Insert a node at a given position.
`void` | `removeNode(org.w3c.dom.Node n)` **For advanced use only** Remove a node.
`void` | `setItemNull(int pos)` **For advanced use only** Set a item to null, so the list doesn't have to keep being compressed.

Methods inherited from interface org.w3c.dom.NodeList
`getLength, item`

Method Detail

### addNode

    public void addNode(org.w3c.dom.Node n)

  **For advanced use only** Add a node.

### insertNode

    public void insertNode(org.w3c.dom.Node n,
                           int pos)

  **For advanced use only** Insert a node at a given position.

### removeNode

    public void removeNode(org.w3c.dom.Node n)

  **For advanced use only** Remove a node.

### setItemNull

    public void setItemNull(int pos)

  **For advanced use only** Set a item to null, so the list doesn't have to keep being compressed.

### addNodes

    public void addNodes(org.w3c.dom.NodeList nodelist)

  **For advanced use only** Copy NodeList members into this nodelist, adding in document order. If a node is null, don't add it.

### addNodesInDocOrder

    public void addNodesInDocOrder(org.w3c.dom.NodeList nodelist,
                                   XPathSupport support)

  **For advanced use only** Copy NodeList members into this nodelist, adding in document order.

### addNodeInDocOrder

    public int addNodeInDocOrder(org.w3c.dom.Node node,
                                 boolean test,
                                 XPathSupport support)

  **For advanced use only** Add the node into a vector of nodes where it should occur in document order.
  Parameters:
    `v` - Vector of nodes, presumably containing Nodes
    `obj` - Node object.
    `test` - true if we should test for doc order

### addNodeInDocOrder

    public int addNodeInDocOrder(org.w3c.dom.Node node,
                                 XPathSupport support)

  **For advanced use only** Add the node into a vector of nodes where it should occur in document order.
  Parameters:
    `v` - Vector of nodes, presumably containing Nodes
    `obj` - Node object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.